Get Customer
curl --request GET \
--url https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"config_id": "test_config_id",
"provider_account_id": "test_account_id",
"provider_customer_id": "test_customer_id",
"payment_provider": "stripe",
"email": "customer@example.com",
"name": "Example Customer",
"phone": "+000000000000",
"description": "Imported from EMR",
"delinquent": false,
"address": null,
"shipping": {
"name": "Example Customer",
"phone": "+000000000000",
"address": null
},
"default_invoice_payment_method": {
"provider_payment_method_id": "test_payment_method_id",
"type": "card",
"card": {
"brand": "test_card_brand",
"last4": "4242",
"exp_month": 12,
"exp_year": 2028
}
},
"created": 1300,
"balance": 0,
"currency": null,
"metadata": {}
}
}Billing Customers
Get Customer
Retrieves a single customer by provider_customer_id within your configuration.
GET
/
billing-customers
/
{provider_customer_id}
Get Customer
curl --request GET \
--url https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/billing-customers/{provider_customer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"config_id": "test_config_id",
"provider_account_id": "test_account_id",
"provider_customer_id": "test_customer_id",
"payment_provider": "stripe",
"email": "customer@example.com",
"name": "Example Customer",
"phone": "+000000000000",
"description": "Imported from EMR",
"delinquent": false,
"address": null,
"shipping": {
"name": "Example Customer",
"phone": "+000000000000",
"address": null
},
"default_invoice_payment_method": {
"provider_payment_method_id": "test_payment_method_id",
"type": "card",
"card": {
"brand": "test_card_brand",
"last4": "4242",
"exp_month": 12,
"exp_year": 2028
}
},
"created": 1300,
"balance": 0,
"currency": null,
"metadata": {}
}
}Authorizations
serviceTokenuserToken

